package com.nisum.BookInfo.mapper;

import com.nisum.BookInfo.dto.BookDto;
import com.nisum.BookInfo.entity.Book;
import org.springframework.beans.factory.annotation.Autowired;

public class BookMapper {

    @Autowired
    private BookDto bookDto;

    public static Book toEntity(BookDto dto) {
        Book book = new Book();
        book.setBookId(dto.getBookId());
        book.setName(dto.getName());
        book.setAuthor(dto.getAuthor());
        book.setDesc(dto.getDesc());
        book.setPubliser(dto.getPubliser());

        return book;
    }

    public static BookDto toDto(Book book) {
        BookDto dto = new BookDto();
        dto.setBookId(book.getBookId());
        dto.setName(book.getName());
        dto.setAuthor(book.getAuthor());
        dto.setDesc(book.getDesc());
        dto.setPubliser(book.getPubliser());


        return dto;
    }
}
