package com.nisum.BookInfo.entity;


import org.springframework.data.annotation.Id;
import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;
/*@Data
@AllArgsConstructor
@NoArgsConstructor*/

@Table("book_details")
    public class Book {
    @Id
    @Column("book_id")
    private Integer bookId;

    @Column("book_name")
    private String name;

    @Column("book_desc")
    private String desc;

    @Column("book_publiser")
    private String publiser;

    @Column("book_author")
    private String author;

    public Book(Integer bookId, String name, String desc, String publiser, String author) {
        this.bookId = bookId;
        this.name = name;
        this.desc = desc;
        this.publiser = publiser;
        this.author = author;
    }

    public Book() {
    }

    public Integer getBookId() {
        return bookId;
    }

    public void setBookId(Integer bookId) {
        this.bookId = bookId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getPubliser() {
        return publiser;
    }

    public void setPubliser(String publiser) {
        this.publiser = publiser;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }
}



