package com.nisum.BookInfo.globalexception;

import com.nisum.BookInfo.dto.ErrorResponseDto;
import com.nisum.BookInfo.exception.BookNotFoundException;
import com.nisum.BookInfo.exception.BookValidationException;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

@RestControllerAdvice
public class BookAdviceController {


    @ExceptionHandler(BookNotFoundException.class)
    public ErrorResponseDto handleBookNotFoundException(BookNotFoundException bookNotFoundException){

    /*return ErrorResponseDto.builder().errorCode(String.valueOf(HttpStatus.NOT_FOUND))
            .errorMessage(bookNotFoundException.getMessage()).build();*/
       /* return ErrorResponseDto.builder().errorCode(bookNotFoundException.getErrorCode().getString())
                .errorMessage(bookNotFoundException.getMessage()) .build();*/
        ErrorResponseDto errorResponseDto=new ErrorResponseDto();
        errorResponseDto.setErrorCode(bookNotFoundException.getErrorCode().getString());
        errorResponseDto.setErrorMessage(bookNotFoundException.getMessage());
        return  errorResponseDto;

    }
@ExceptionHandler(BookValidationException.class)
    public  ErrorResponseDto handleBookValidationException(BookValidationException bookValidationException){

       /* return ErrorResponseDto.builder().errorCode(bookValidationException.getErrorCode().getString())
                .errorMessage(bookValidationException.getMessage()).build();*/
    ErrorResponseDto errorResponseDto=new ErrorResponseDto();
    errorResponseDto.setErrorCode(bookValidationException.getErrorCode().getString());
    errorResponseDto.setErrorMessage(bookValidationException.getMessage());
    return  errorResponseDto;
    }
}
