package com.nisum.BookInfo.service;

import com.nisum.BookInfo.dto.BookDto;
import com.nisum.BookInfo.entity.Book;
import org.springframework.web.bind.annotation.PathVariable;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface BookService {

  /*  public Mono<Book> create(Book book);

    public Flux<Book> getAllBooks();

    public Mono<Book> getBook(Integer bookId);

    public Mono<Book> updateBook(Book book,Integer bookId);

    public Mono<Void> deleteBook(Integer bookId);
*/

    Mono<Book> saveBook(BookDto bookDto) ;
    // Get all books
    public Flux<Book> getAllBooks();

    // Get a book by ID
    public Mono<Book> getBookById(Integer id) ;

    // Update a book
    public Mono<Book> updateBook(Integer id, BookDto bookDto);

    public Mono<Void> deleteBook(@PathVariable Integer id) ;

    }
