package com.nisum.BookInfo.util;

import com.fasterxml.jackson.annotation.JsonValue;

public enum AppErrorCode {
    BOOK_NOT_FOUND("BOOK_404"),
    INVALID_BOOK_DATA("BOOK_400"),
    BOOK_CREATION_FAILED("BOOK_500"),
    BOOK_UPDATE_FAILED("BOOK_500"),
    BOOK_DELETION_FAILED("BOOK_500"),
    GENERAL_ERROR("BOOK_500");


    private final String errorCode;


    // Constructor
    private AppErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    // Method to return the error code as a string
    @JsonValue
    public String getString() {
        return this.errorCode;
    }
}
